        /* --- General Page Styles --- */

      

        body {
            background: linear-gradient(#232932, #2c3138, #232932);
            padding-top: 0;
        }
        .interest-page-container {
            width: 100%;
            padding: 8rem 2rem 10rem 2rem;
            min-height: 100vh;
        }
     

        /* --- Page Header --- */
        .interest-header {
            text-align: center;
            margin-bottom: 6rem;
            max-width: 900px;
            margin-left: auto;
            margin-right: auto;
        }
        .interest-header h1 {
            font-size: 5rem;
            font-weight: 300;
            text-transform: uppercase;
            color: #fff;
            margin-bottom: 1.5rem;
        }
        .interest-header p {
            font-size: 2rem;
            color: #bbb;
            line-height: 1.6;
        }
        .interest-header p span {
            color: #29a587;
            font-weight: bold;
        }

        /* --- interest Grid --- */
 
        /* --- Project Card --- */
        

        /* Footer */
footer {
    text-align: center;
    padding: 20px;
    background: #222;
    color: white;
    margin-top: 30px;
}
        footer p {
            margin: 0;
            font-size: 1.4rem;
        }
        footer a {
            color: #29a587;
            text-decoration: none;
        }
        footer a:hover {
            text-decoration: underline;
        }
   .active{
            color: #29a587;
            font-weight: bold;
        } 

.interest-grid {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 2rem;
  margin: 0 auto;
  
}

/* .interest-grid {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(350px, 1fr));
    gap: 2rem;
    max-width: 1400px;
    margin: 5px auto;
} */

.interest-card {
  background: #1f1f1f;
  color: #f0f0f0;
  border: 1px solid #444;
  border-radius: 10px;
  padding: 10px;
  width: 300px;
  box-shadow: 0 6px 20px rgba(0, 0, 0, 0.25);
  transition: transform 0.3s ease;
font-size: 2rem;
}

.interest-card:hover {
  transform: translateY(-8px);
  box-shadow: 0 10px 30px rgba(0, 0, 0, 0.35);
}

.interest-card h3 {
  margin-top: 0;
  font-size: 1.8rem;
    color: #29a587;
    font-weight: 600;
    text-transform: uppercase;
    margin-bottom: 10px;
}

.interest-card p {
  font-size: 1.5rem;
  line-height: 1.6;
}
